<?php
/**
 * Theme Demos
 *
 * @package Schematic
 */

/**
 * Register Demos of Theme
 */
function csco_demos_list() {

	$plugins = array(
		array(
			'name'     => 'Canvas',
			'slug'     => 'canvas',
			'path'     => 'canvas/canvas.php',
			'required' => true,
			'desc'     => esc_html__( 'A revolutionary block-based page builder used for building layouts, an interplay of the WordPress block editor features and exceptional UI design.', 'schematic' ),
		),
		array(
			'name'     => 'Powerkit',
			'slug'     => 'powerkit',
			'path'     => 'powerkit/powerkit.php',
			'required' => false,
			'desc'     => esc_html__( 'Powerkit - essential components for every WordPress site.', 'schematic' ),
		),
		array(
			'name'     => 'Absolute Reviews',
			'slug'     => 'absolute-reviews',
			'path'     => 'absolute-reviews/absolute-reviews.php',
			'required' => false,
			'desc'     => esc_html__( 'Add beautiful responsive and modern review boxes with valid JSON-LD schema to your posts with the "Advanced Reviews" plugin.', 'schematic' ),
		),
		array(
			'name'     => 'Advanced Popups',
			'slug'     => 'advanced-popups',
			'path'     => 'advanced-popups/advanced-popups.php',
			'required' => false,
			'desc'     => esc_html__( 'Display high-converting newsletter popups, a cookie notice, or a notification with the light-weight yet feature-rich plugin.', 'schematic' ),
		),
		array(
			'name'     => 'Sight',
			'slug'     => 'sight',
			'path'     => 'sight/sight.php',
			'required' => false,
			'desc'     => esc_html__( 'Beautiful responsive galleries and portfolio of your work.', 'schematic' ),
		),
		array(
			'name'     => 'Regenerate Thumbnails',
			'slug'     => 'regenerate-thumbnails',
			'path'     => 'regenerate-thumbnails/regenerate-thumbnails.php',
			'required' => false,
			'desc'     => esc_html__( 'Regenerate the thumbnails for one or more of your image uploads. Useful when changing their sizes or your theme.', 'schematic' ),
		),
		array(
			'name'     => 'Contact Form 7',
			'slug'     => 'contact-form-7',
			'path'     => 'contact-form-7/wp-contact-form-7.php',
			'required' => false,
			'desc'     => esc_html__( 'Just another contact form plugin. Simple but flexible.', 'schematic' ),
		),
	);

	$demos = array(
		'schematic'    => array(
			'name'      => esc_html__( 'Schematic', 'schematic' ),
			'preview'   => 'https://schematictheme.com/schematic/',
			'thumbnail' => get_template_directory_uri() . '/import/schematic-thumbnail.jpg',
			'plugins'   => $plugins,
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/schematic/schematic-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/schematic/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Homepage', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/schematic-homepage.xml',
						'type'  => 'homepage',
					),
					array(
						'label' => esc_html__( 'Demo Content', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'schematic' ),
					),
				),
			),
		),
		'frank-lloyd'  => array(
			'name'      => esc_html__( 'Frank Lloyd', 'schematic' ),
			'preview'   => 'https://schematictheme.com/frank-lloyd/',
			'thumbnail' => get_template_directory_uri() . '/import/frank-lloyd-thumbnail.jpg',
			'plugins'   => $plugins,
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/schematic/frank-lloyd-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/schematic/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Homepage', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/frank-lloyd-homepage.xml',
						'type'  => 'homepage',
					),
					array(
						'label' => esc_html__( 'Demo Content', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'schematic' ),
					),
				),
			),
		),
		'consumerism'  => array(
			'name'      => esc_html__( 'Consumerism', 'schematic' ),
			'preview'   => 'https://schematictheme.com/consumerism/',
			'thumbnail' => get_template_directory_uri() . '/import/consumerism-thumbnail.jpg',
			'plugins'   => $plugins,
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/schematic/consumerism-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/schematic/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Homepage', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/consumerism-homepage.xml',
						'type'  => 'homepage',
					),
					array(
						'label' => esc_html__( 'Demo Content', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'schematic' ),
					),
				),
			),
		),
		'mind-retreat' => array(
			'name'      => esc_html__( 'Mind Retreat', 'schematic' ),
			'preview'   => 'https://schematictheme.com/mind-retreat/',
			'thumbnail' => get_template_directory_uri() . '/import/mind-retreat-thumbnail.jpg',
			'plugins'   => $plugins,
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/schematic/mind-retreat-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/schematic/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Homepage', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/mind-retreat-homepage.xml',
						'type'  => 'homepage',
					),
					array(
						'label' => esc_html__( 'Demo Content', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'schematic' ),
					),
				),
			),
		),
		'hyperlink'    => array(
			'name'      => esc_html__( 'Hyperlink', 'schematic' ),
			'preview'   => 'https://schematictheme.com/hyperlink/',
			'thumbnail' => get_template_directory_uri() . '/import/hyperlink-thumbnail.jpg',
			'plugins'   => $plugins,
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/schematic/hyperlink-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/schematic/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Homepage', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/hyperlink-homepage.xml',
						'type'  => 'homepage',
					),
					array(
						'label' => esc_html__( 'Demo Content', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'schematic' ),
					),
				),
			),
		),
		'artly'        => array(
			'name'      => esc_html__( 'Artly', 'schematic' ),
			'preview'   => 'https://schematictheme.com/artly/',
			'thumbnail' => get_template_directory_uri() . '/import/artly-thumbnail.jpg',
			'plugins'   => $plugins,
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/schematic/artly-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/schematic/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Homepage', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/artly-homepage.xml',
						'type'  => 'homepage',
					),
					array(
						'label' => esc_html__( 'Demo Content', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'schematic' ),
					),
				),
			),
		),
		'ghost-writer' => array(
			'name'      => esc_html__( 'Ghost Writer', 'schematic' ),
			'preview'   => 'https://schematictheme.com/ghost-writer/',
			'thumbnail' => get_template_directory_uri() . '/import/ghost-writer-thumbnail.jpg',
			'plugins'   => $plugins,
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/schematic/ghost-writer-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/schematic/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Homepage', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/ghost-writer-homepage.xml',
						'type'  => 'homepage',
					),
					array(
						'label' => esc_html__( 'Demo Content', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'schematic' ),
					),
				),
			),
		),
		'midnight'     => array(
			'name'      => esc_html__( 'Midnight', 'schematic' ),
			'preview'   => 'https://schematictheme.com/midnight/',
			'thumbnail' => get_template_directory_uri() . '/import/midnight-thumbnail.jpg',
			'plugins'   => $plugins,
			'import'    => array(
				'customizer' => 'https://cloud.codesupply.co/import/schematic/midnight-customizer.dat',
				'widgets'    => 'https://cloud.codesupply.co/import/schematic/widgets.wie',
				'content'    => array(
					array(
						'label' => esc_html__( 'Homepage', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/midnight-homepage.xml',
						'type'  => 'homepage',
					),
					array(
						'label' => esc_html__( 'Demo Content', 'schematic' ),
						'url'   => 'https://cloud.codesupply.co/import/schematic/content.xml',
						'desc'  => esc_html__( 'Enabling this option will import demo posts, categories, and secondary pages. It\'s recommended to disable this option for existing', 'schematic' ),
					),
				),
			),
		),
	);

	return $demos;
}
add_filter( 'csco_register_demos_list', 'csco_demos_list' );

/**
 * Import Homepage
 *
 * @param int   $post_id New post ID.
 * @param array $data    Raw data imported for the post.
 */
function csco_hook_import_homepage( $post_id, $data ) {
	if ( isset( $data['post_title'] ) && 'Journal' === $data['post_title'] ) {
		// Set page_for_posts.
		update_option( 'page_for_posts', (int) $post_id );
	}
	if ( isset( $data['post_title'] ) && 'Homepage' === $data['post_title'] ) {
		// Set show_on_front.
		update_option( 'show_on_front', 'page' );

		// Set page_on_front.
		update_option( 'page_on_front', (int) $post_id );
	}
}
add_action( 'wxr_importer.db.post', 'csco_hook_import_homepage', 10, 2 );

/**
 * Finish Import
 */
function csco_hook_finish_import() {

	$nav_menu_locations = array();

	$main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
	if ( $main_menu ) {
		$nav_menu_locations['primary']    = $main_menu->term_id;
		$nav_menu_locations['mobile']     = $main_menu->term_id;
		$nav_menu_locations['fullscreen'] = $main_menu->term_id;
	}

	$offcanvas = get_term_by( 'name', 'Offcanvas', 'nav_menu' );
	if ( $offcanvas ) {
		$nav_menu_locations['offcanvas'] = $offcanvas->term_id;
	}

	$footer_menu = get_term_by( 'name', 'Main', 'nav_menu' );
	if ( $footer_menu ) {
		$nav_menu_locations['footer'] = $footer_menu->term_id;
	}

	$footer_additional = get_term_by( 'name', 'Popular', 'nav_menu' );
	if ( $footer_additional ) {
		$nav_menu_locations['footer-additional'] = $footer_additional->term_id;
	}

	if ( $nav_menu_locations ) {
		set_theme_mod( 'nav_menu_locations', $nav_menu_locations );
	}
}
add_action( 'csco_finish_import', 'csco_hook_finish_import' );
