<?php
/**
 * Page Settings
 *
 * @package Schematic
 */

CSCO_Customizer::add_section(
	'page_settings',
	array(
		'title' => esc_html__( 'Page Settings', 'schematic' ),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'radio',
		'settings' => 'page_sidebar',
		'label'    => esc_html__( 'Default Sidebar', 'schematic' ),
		'section'  => 'page_settings',
		'default'  => 'right',
		'choices'  => array(
			'right'    => esc_html__( 'Right Sidebar', 'schematic' ),
			'left'     => esc_html__( 'Left Sidebar', 'schematic' ),
			'disabled' => esc_html__( 'No Sidebar', 'schematic' ),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'radio',
		'settings' => 'page_header_type',
		'label'    => esc_html__( 'Page Header Type', 'schematic' ),
		'section'  => 'page_settings',
		'default'  => 'standard',
		'choices'  => array(
			'standard'    => esc_html__( 'Standard', 'schematic' ),
			'large'       => esc_html__( 'Large', 'schematic' ),
			'large-media' => esc_html__( 'Large Media', 'schematic' ),
			'full'        => esc_html__( 'Full', 'schematic' ),
			'title'       => esc_html__( 'Page Title Only', 'schematic' ),
			'none'        => esc_html__( 'None', 'schematic' ),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'radio',
		'settings'        => 'page_media_preview',
		'label'           => esc_html__( 'Standard Page Header Preview', 'schematic' ),
		'section'         => 'page_settings',
		'default'         => 'uncropped',
		'choices'         => array(
			'cropped'   => esc_html__( 'Display Cropped Image', 'schematic' ),
			'uncropped' => esc_html__( 'Display Preview in Original Ratio', 'schematic' ),
		),
		'active_callback' => array(
			array(
				'setting'  => 'page_header_type',
				'operator' => '==',
				'value'    => 'standard',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'checkbox',
		'settings' => 'page_comments_simple',
		'label'    => esc_html__( 'Display comments without the View Comments button', 'schematic' ),
		'section'  => 'page_settings',
		'default'  => true,
	)
);
