<?php
/**
 * Typography
 *
 * @package Schematic
 */

CSCO_Customizer::add_panel(
	'typography',
	array(
		'title' => esc_html__( 'Typography', 'schematic' ),
	)
);

CSCO_Customizer::add_section(
	'typography_general',
	array(
		'title' => esc_html__( 'General', 'schematic' ),
		'panel' => 'typography',
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_base',
		'label'    => esc_html__( 'Base Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Poppins',
			'font-size'      => '1rem',
			'variant'        => 'regular',
			'letter-spacing' => 'normal',
			'text-transform' => 'initial',
			'line-height'    => '1.5',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'italic',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'typography',
		'settings'    => 'font_primary',
		'label'       => esc_html__( 'Primary Font', 'schematic' ),
		'description' => esc_html__( 'Used for tags and other actionable elements.', 'schematic' ),
		'section'     => 'typography_general',
		'default'     => array(
			'font-family'    => 'Syne',
			'font-size'      => '0.75rem',
			'variant'        => '600',
			'letter-spacing' => '0.008em',
			'text-transform' => 'uppercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => array(
			'variant' => array(
				'regular',
				'italic',
				'600',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'typography',
		'settings'    => 'font_secondary',
		'label'       => esc_html__( 'Secondary Font', 'schematic' ),
		'description' => esc_html__( 'Used for image captions and other secondary elements.', 'schematic' ),
		'section'     => 'typography_general',
		'default'     => array(
			'font-family'    => 'Syne',
			'font-size'      => '0.75rem',
			'variant'        => 'regular',
			'letter-spacing' => '0px',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => array(
			'variant' => array(
				'regular',
				'italic',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_category',
		'label'    => esc_html__( 'Category Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Syne',
			'font-size'      => '0.6875rem',
			'variant'        => '700',
			'letter-spacing' => '0.0625em',
			'text-transform' => 'uppercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_tag',
		'label'    => esc_html__( 'Tags Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Syne',
			'font-size'      => '0.75rem',
			'variant'        => '600',
			'letter-spacing' => '0.0625em',
			'text-transform' => 'uppercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_post_meta',
		'label'    => esc_html__( 'Post Meta Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Poppins',
			'variant'        => '500',
			'subsets'        => array( 'latin' ),
			'font-size'      => '0.6875rem',
			'letter-spacing' => '0.0625em',
			'text-transform' => 'uppercase',
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'600',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_input',
		'label'    => esc_html__( 'Input Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Syne',
			'font-size'      => '1.25rem',
			'variant'        => '500',
			'line-height'    => '1.625rem',
			'letter-spacing' => '-0.019em',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'500',
				'600',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_post_subtitle',
		'label'    => esc_html__( 'Post Subtitle Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Poppins',
			'font-size'      => '1.125rem',
			'line-height'    => '1.7',
			'letter-spacing' => 'normal',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_post_content',
		'label'    => esc_html__( 'Post Content Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Poppins',
			'font-size'      => '1rem',
			'line-height'    => '1.7',
			'letter-spacing' => '-0.014em',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'italic',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_summary',
		'label'    => esc_html__( 'Summary Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Poppins',
			'subsets'        => array( 'latin' ),
			'font-size'      => '1.25rem',
			'letter-spacing' => 'normal',
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'italic',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_excerpt',
		'label'    => esc_html__( 'Entry Excerpt Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Poppins',
			'subsets'        => array( 'latin' ),
			'font-size'      => '0.875rem',
			'letter-spacing' => '-0.008em',
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'italic',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_button',
		'label'    => esc_html__( 'Button Font', 'schematic' ),
		'section'  => 'typography_general',
		'default'  => array(
			'font-family'    => 'Syne',
			'font-size'      => '1.25rem',
			'variant'        => 'regular',
			'letter-spacing' => '-0.019em',
			'text-transform' => 'lowercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'500',
				'600',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_section(
	'typography_logos',
	array(
		'title' => esc_html__( 'Logos', 'schematic' ),
		'panel' => 'typography',
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'typography',
		'settings'        => 'font_main_logo',
		'label'           => esc_html__( 'Main Logo', 'schematic' ),
		'description'     => esc_html__( 'The main logo is used in the navigation bar and mobile view of your website.', 'schematic' ),
		'section'         => 'typography_logos',
		'default'         => array(
			'font-family'    => 'Syne',
			'font-size'      => '1.25rem',
			'variant'        => '600',
			'letter-spacing' => '-0.025em',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'         => array(
			'variant' => array(
				'regular',
				'600',
				'700',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'logo',
				'operator' => '==',
				'value'    => '',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'typography',
		'settings'        => 'font_footer_logo',
		'label'           => esc_html__( 'Footer Logo', 'schematic' ),
		'description'     => esc_html__( 'The footer logo is used in the site footer in desktop and mobile view.', 'schematic' ),
		'section'         => 'typography_logos',
		'default'         => array(
			'font-family'    => 'Syne',
			'font-size'      => '1.25rem',
			'variant'        => '600',
			'subsets'        => array( 'latin' ),
			'letter-spacing' => '-0.025em',
			'text-transform' => 'none',
		),
		'choices'         => array(
			'variant' => array(
				'regular',
				'600',
				'700',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'footer_logo',
				'operator' => '==',
				'value'    => '',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'typography',
		'settings'    => 'font_tagline',
		'label'       => esc_html__( 'Tagline Font', 'schematic' ),
		'description' => esc_html__( 'The Tagline is used in the site header and footer after the logo.', 'schematic' ),
		'section'     => 'typography_logos',
		'default'     => array(
			'font-family'    => 'Syne',
			'font-size'      => '0.875rem',
			'variant'        => '700',
			'line-height'    => '1.5',
			'letter-spacing' => 'normal',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => array(
			'variant' => array(
				'regular',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_section(
	'typography_headings',
	array(
		'title' => esc_html__( 'Headings', 'schematic' ),
		'panel' => 'typography',
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_headings',
		'label'    => esc_html__( 'Headings', 'schematic' ),
		'section'  => 'typography_headings',
		'default'  => array(
			'font-family'    => 'Syne',
			'variant'        => '500',
			'line-height'    => '1.2',
			'letter-spacing' => '-0.05em',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'500',
				'600',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_section(
	'typography_section_headings',
	array(
		'title' => esc_html__( 'Section Headings', 'schematic' ),
		'panel' => 'typography',
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'collapsible',
		'settings' => 'section_heading_collapsible_common',
		'section'  => 'typography_section_headings',
		'label'    => esc_html__( 'Common', 'schematic' ),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'section_heading_font',
		'label'    => esc_html__( 'Default Font', 'schematic' ),
		'section'  => 'typography_section_headings',
		'default'  => array(
			'font-family'    => 'Syne',
			'font-size'      => '0.75rem',
			'variant'        => '700',
			'letter-spacing' => '0.0025em',
			'text-transform' => 'uppercase',
			'line-height'    => '1.15',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'500',
				'600',
				'700',
			),
		),
	)
);

if ( function_exists( 'cnvs' ) ) {

	CSCO_Customizer::add_field(
		array(
			'type'     => 'select',
			'settings' => 'section_heading',
			'label'    => esc_html__( 'Default Style', 'schematic' ),
			'section'  => 'typography_section_headings',
			'default'  => 'style-1',
			'choices'  => array(
				'style-1'  => esc_html__( 'Plain', 'schematic' ),
				'style-2'  => esc_html__( 'Thin Bottom Line', 'schematic' ),
				'style-3'  => esc_html__( 'Thick Bottom Line', 'schematic' ),
				'style-4'  => esc_html__( 'Thin Side Line', 'schematic' ),
				'style-5'  => esc_html__( 'Thick Side Line', 'schematic' ),
				'style-6'  => esc_html__( 'Top Line', 'schematic' ),
				'style-7'  => esc_html__( 'Bottom Line, Medium Length', 'schematic' ),
				'style-8'  => esc_html__( 'Side Line with Angle', 'schematic' ),
				'style-9'  => esc_html__( 'Cross Icon', 'schematic' ),
				'style-10' => esc_html__( 'Scewed Background', 'schematic' ),
				'style-11' => esc_html__( 'Scewed Background, Side Line', 'schematic' ),
				'style-12' => esc_html__( 'Solid Background', 'schematic' ),
				'style-13' => esc_html__( 'Bordered', 'schematic' ),
				'style-14' => esc_html__( 'Solid Background, Fullwidth', 'schematic' ),
				'style-15' => esc_html__( 'Bordered, Fullwidth', 'schematic' ),
				'style-16' => esc_html__( 'Double Line with Angle', 'schematic' ),
				'style-17' => esc_html__( 'Bottom Line, Short Length', 'schematic' ),
			),
		)
	);
}

CSCO_Customizer::add_field(
	array(
		'type'     => 'select',
		'settings' => 'section_heading_align',
		'label'    => esc_html__( 'Default Align', 'schematic' ),
		'section'  => 'typography_section_headings',
		'default'  => 'halignleft',
		'choices'  => array(
			'halignleft'   => esc_html__( 'Align Text Left', 'schematic' ),
			'haligncenter' => esc_html__( 'Align Text Center', 'schematic' ),
			'halignright'  => esc_html__( 'Align Text Right', 'schematic' ),
		),
	)
);

if ( function_exists( 'cnvs' ) ) {
	CSCO_Customizer::add_field(
		array(
			'type'     => 'select',
			'settings' => 'section_heading_tag',
			'label'    => esc_html__( 'Default Tag', 'schematic' ),
			'section'  => 'typography_section_headings',
			'default'  => 'h5',
			'choices'  => array(
				'h1'  => esc_html__( 'H1', 'schematic' ),
				'h2'  => esc_html__( 'H2', 'schematic' ),
				'h3'  => esc_html__( 'H3', 'schematic' ),
				'h4'  => esc_html__( 'H4', 'schematic' ),
				'h5'  => esc_html__( 'H5', 'schematic' ),
				'h6'  => esc_html__( 'H6', 'schematic' ),
				'p'   => esc_html__( 'P', 'schematic' ),
				'div' => esc_html__( 'DIV', 'schematic' ),
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'     => 'color',
			'settings' => 'section_heading_color_border',
			'label'    => esc_html__( 'Border Color', 'schematic' ),
			'section'  => 'typography_section_headings',
			'default'  => '#141414',

			'choices'  => array(
				'alpha' => true,
			),
			'output'   => apply_filters(
				'csco_section_heading_color_border',
				array(
					array(
						'element'  => ':root .cnvs-block-section-heading, [data-scheme="default"] .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-border-color',
						'context'  => array( 'editor', 'front' ),
					),
				)
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'     => 'color',
			'settings' => 'section_heading_color_border_dark',
			'label'    => esc_html__( 'Dark Border Color', 'schematic' ),
			'section'  => 'typography_section_headings',
			'default'  => '#ffffff',

			'choices'  => array(
				'alpha' => true,
			),
			'output'   => apply_filters(
				'csco_section_heading_color_border',
				array(
					array(
						'element'  => '[data-scheme="dark"] .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-border-color',
						'context'  => array( 'editor', 'front' ),
					),
				)
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'     => 'color',
			'settings' => 'section_heading_color_accent',
			'label'    => esc_html__( 'Accent Color', 'schematic' ),
			'section'  => 'typography_section_headings',

			'choices'  => array(
				'alpha' => true,
			),
			'output'   => apply_filters(
				'csco_section_heading_color_accent',
				array(
					array(
						'element'  => ':root .cnvs-block-section-heading, [data-scheme="default"] .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-icon-color',
						'context'  => array( 'editor', 'front' ),
					),
					array(
						'element'  => ':root .cnvs-block-section-heading, [data-scheme="default"] .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-accent-block-backround',
						'context'  => array( 'editor', 'front' ),
					),
				)
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'     => 'color',
			'settings' => 'section_heading_color_accent_dark',
			'label'    => esc_html__( 'Dark Accent Color', 'schematic' ),
			'section'  => 'typography_section_headings',

			'choices'  => array(
				'alpha' => true,
			),
			'output'   => apply_filters(
				'csco_section_heading_color_accent',
				array(
					array(
						'element'  => '[data-scheme="dark"] .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-icon-color',
						'context'  => array( 'editor', 'front' ),
					),
					array(
						'element'  => '[data-scheme="dark"] .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-accent-block-backround',
						'context'  => array( 'editor', 'front' ),
					),
				)
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'     => 'color',
			'settings' => 'section_heading_color_accent_contrast',
			'label'    => esc_html__( 'Accent Contrast Color', 'schematic' ),
			'section'  => 'typography_section_headings',

			'choices'  => array(
				'alpha' => true,
			),
			'output'   => apply_filters(
				'csco_section_heading_color_accent',
				array(
					array(
						'element'  => ':root .cnvs-block-section-heading, [data-scheme="default"] .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-accent-block-color',
						'context'  => array( 'editor', 'front' ),
					),
				)
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'     => 'color',
			'settings' => 'section_heading_color_accent_contrast_dark',
			'label'    => esc_html__( 'Dark Accent Contrast Color', 'schematic' ),
			'section'  => 'typography_section_headings',

			'choices'  => array(
				'alpha' => true,
			),
			'output'   => apply_filters(
				'csco_section_heading_color_accent',
				array(
					array(
						'element'  => '[data-scheme="dark"] .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-accent-block-color',
						'context'  => array( 'editor', 'front' ),
					),
				)
			),
		)
	);
}

CSCO_Customizer::add_field(
	array(
		'type'     => 'color',
		'settings' => 'section_heading_color_text',
		'label'    => esc_html__( 'Text Color', 'schematic' ),
		'section'  => 'typography_section_headings',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => apply_filters(
			'csco_section_heading_color_text',
			array(
				array(
					'element'  => ':root .cnvs-block-section-heading, [data-scheme="default"] .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cnvs-block-section-heading',
					'property' => '--cnvs-section-heading-color',
					'context'  => array( 'editor', 'front' ),
				),
			)
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'color',
		'settings' => 'section_heading_color_text_dark',
		'label'    => esc_html__( 'Dark Text Color', 'schematic' ),
		'section'  => 'typography_section_headings',
		'choices'  => array(
			'alpha' => true,
		),
		'output'   => apply_filters(
			'csco_section_heading_color_text',
			array(
				array(
					'element'  => '[data-scheme="dark"] .cnvs-block-section-heading',
					'property' => '--cnvs-section-heading-color',
					'context'  => array( 'editor', 'front' ),
				),
			)
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'collapsible',
		'settings' => 'section_heading_collapsible_submenu',
		'section'  => 'typography_section_headings',
		'label'    => esc_html__( 'Widgetized Sub-Menus', 'schematic' ),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'checkbox',
		'settings'    => 'section_heading_submenu_default',
		'label'       => esc_html__( 'Default Settings', 'schematic' ),
		'description' => esc_html__( 'You may change the default settings in Common Settings', 'schematic' ),
		'section'     => 'typography_section_headings',
		'default'     => true,
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'typography',
		'settings'        => 'section_heading_submenu_font',
		'label'           => esc_html__( 'Default Font', 'schematic' ),
		'section'         => 'typography_section_headings',
		'default'         => array(
			'font-family'    => 'Syne',
			'font-size'      => '0.75rem',
			'variant'        => '700',
			'letter-spacing' => '0.0025em',
			'text-transform' => 'uppercase',
			'line-height'    => '1.15',
			'subsets'        => array( 'latin' ),
		),
		'choices'         => array(
			'variant' => array(
				'regular',
				'500',
				'600',
				'700',
			),
		),
		'transport'       => 'auto',
		'active_callback' => array(
			array(
				'setting'  => 'section_heading_submenu_default',
				'operator' => '!=',
				'value'    => true,
			),
		),
	)
);

if ( function_exists( 'cnvs' ) ) {
	CSCO_Customizer::add_field(
		array(
			'type'            => 'select',
			'settings'        => 'section_heading_submenu',
			'label'           => esc_html__( 'Default Style', 'schematic' ),
			'section'         => 'typography_section_headings',
			'default'         => 'style-1',
			'choices'         => array(
				'style-1'  => esc_html__( 'Plain', 'schematic' ),
				'style-2'  => esc_html__( 'Thin Bottom Line', 'schematic' ),
				'style-3'  => esc_html__( 'Thick Bottom Line', 'schematic' ),
				'style-4'  => esc_html__( 'Thin Side Line', 'schematic' ),
				'style-5'  => esc_html__( 'Thick Side Line', 'schematic' ),
				'style-6'  => esc_html__( 'Top Line', 'schematic' ),
				'style-7'  => esc_html__( 'Bottom Line, Medium Length', 'schematic' ),
				'style-8'  => esc_html__( 'Side Line with Angle', 'schematic' ),
				'style-9'  => esc_html__( 'Cross Icon', 'schematic' ),
				'style-10' => esc_html__( 'Scewed Background', 'schematic' ),
				'style-11' => esc_html__( 'Scewed Background, Side Line', 'schematic' ),
				'style-12' => esc_html__( 'Solid Background', 'schematic' ),
				'style-13' => esc_html__( 'Bordered', 'schematic' ),
				'style-14' => esc_html__( 'Solid Background, Fullwidth', 'schematic' ),
				'style-15' => esc_html__( 'Bordered, Fullwidth', 'schematic' ),
				'style-16' => esc_html__( 'Double Line with Angle', 'schematic' ),
				'style-17' => esc_html__( 'Bottom Line, Short Length', 'schematic' ),
			),
			'active_callback' => array(
				array(
					'setting'  => 'section_heading_submenu_default',
					'operator' => '!=',
					'value'    => true,
				),
			),
		)
	);
}

CSCO_Customizer::add_field(
	array(
		'type'            => 'select',
		'settings'        => 'section_heading_submenu_align',
		'label'           => esc_html__( 'Default Align', 'schematic' ),
		'section'         => 'typography_section_headings',
		'default'         => 'halignleft',
		'choices'         => array(
			'halignleft'   => esc_html__( 'Align Text Left', 'schematic' ),
			'haligncenter' => esc_html__( 'Align Text Center', 'schematic' ),
			'halignright'  => esc_html__( 'Align Text Right', 'schematic' ),
		),
		'active_callback' => array(
			array(
				'setting'  => 'section_heading_submenu_default',
				'operator' => '!=',
				'value'    => true,
			),
		),
	)
);

if ( function_exists( 'cnvs' ) ) {
	CSCO_Customizer::add_field(
		array(
			'type'            => 'select',
			'settings'        => 'section_heading_submenu_tag',
			'label'           => esc_html__( 'Default Tag', 'schematic' ),
			'section'         => 'typography_section_headings',
			'default'         => 'h5',
			'choices'         => array(
				'h1'  => esc_html__( 'H1', 'schematic' ),
				'h2'  => esc_html__( 'H2', 'schematic' ),
				'h3'  => esc_html__( 'H3', 'schematic' ),
				'h4'  => esc_html__( 'H4', 'schematic' ),
				'h5'  => esc_html__( 'H5', 'schematic' ),
				'h6'  => esc_html__( 'H6', 'schematic' ),
				'p'   => esc_html__( 'P', 'schematic' ),
				'div' => esc_html__( 'DIV', 'schematic' ),
			),
			'active_callback' => array(
				array(
					'setting'  => 'section_heading_submenu_default',
					'operator' => '!=',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'            => 'color',
			'settings'        => 'section_heading_submenu_color_border',
			'label'           => esc_html__( 'Border Color', 'schematic' ),
			'section'         => 'typography_section_headings',
			'choices'         => array(
				'alpha' => true,
			),
			'output'          => apply_filters(
				'csco_section_heading_submenu_color_border',
				array(
					array(
						'element'  => ':root .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-border-color',
						'context'  => array( 'front' ),
					),
				)
			),
			'active_callback' => array(
				array(
					'setting'  => 'section_heading_submenu_default',
					'operator' => '!=',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'            => 'color',
			'settings'        => 'section_heading_submenu_color_border_dark',
			'label'           => esc_html__( 'Dark Border Color', 'schematic' ),
			'section'         => 'typography_section_headings',
			'choices'         => array(
				'alpha' => true,
			),
			'output'          => apply_filters(
				'csco_section_heading_submenu_color_border',
				array(
					array(
						'element'  => '[data-scheme="dark"] .cs-header__widgets-column .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-border-color',
						'context'  => array( 'front' ),
					),
				)
			),
			'active_callback' => array(
				array(
					'setting'  => 'section_heading_submenu_default',
					'operator' => '!=',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'            => 'color',
			'settings'        => 'section_heading_submenu_color_accent',
			'label'           => esc_html__( 'Accent Color', 'schematic' ),
			'section'         => 'typography_section_headings',
			'choices'         => array(
				'alpha' => true,
			),
			'output'          => apply_filters(
				'csco_section_heading_submenu_color_accent',
				array(
					array(
						'element'  => ':root .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-icon-color',
						'context'  => array( 'front' ),
					),
					array(
						'element'  => ':root .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-accent-block-backround',
						'context'  => array( 'front' ),
					),
				)
			),
			'active_callback' => array(
				array(
					'setting'  => 'section_heading_submenu_default',
					'operator' => '!=',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'            => 'color',
			'settings'        => 'section_heading_submenu_color_accent_dark',
			'label'           => esc_html__( 'Dark Accent Color', 'schematic' ),
			'section'         => 'typography_section_headings',
			'choices'         => array(
				'alpha' => true,
			),
			'output'          => apply_filters(
				'csco_section_heading_submenu_color_accent',
				array(
					array(
						'element'  => '[data-scheme="dark"] .cs-header__widgets-column .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-icon-color',
						'context'  => array( 'front' ),
					),
					array(
						'element'  => '[data-scheme="dark"] .cs-header__widgets-column .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-accent-block-backround',
						'context'  => array( 'front' ),
					),
				)
			),
			'active_callback' => array(
				array(
					'setting'  => 'section_heading_submenu_default',
					'operator' => '!=',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Customizer::add_field(
		array(
			'type'            => 'color',
			'settings'        => 'section_heading_submenu_color_accent_contrast',
			'label'           => esc_html__( 'Accent Contrast Color', 'schematic' ),
			'section'         => 'typography_section_headings',

			'choices'         => array(
				'alpha' => true,
			),
			'output'          => apply_filters(
				'csco_section_heading_submenu_color_accent',
				array(
					array(
						'element'  => ':root .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-accent-block-color',
						'context'  => array( 'front' ),
					),
				)
			),
			'active_callback' => array(
				array(
					'setting'  => 'section_heading_submenu_default',
					'operator' => '!=',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Customizer::add_field(

		array(
			'type'            => 'color',
			'settings'        => 'section_heading_submenu_color_accent_contrast_dark',
			'label'           => esc_html__( 'Dark Accent Contrast Color', 'schematic' ),
			'section'         => 'typography_section_headings',

			'choices'         => array(
				'alpha' => true,
			),
			'output'          => apply_filters(
				'csco_section_heading_submenu_color_accent',
				array(
					array(
						'element'  => '[data-scheme="dark"] .cs-header__widgets-column .cnvs-block-section-heading',
						'property' => '--cnvs-section-heading-accent-block-color',
						'context'  => array( 'front' ),
					),
				)
			),
			'active_callback' => array(
				array(
					'setting'  => 'section_heading_submenu_default',
					'operator' => '!=',
					'value'    => true,
				),
			),
		)
	);
}

CSCO_Customizer::add_field(
	array(
		'type'            => 'color',
		'settings'        => 'section_heading_submenu_color_text',
		'label'           => esc_html__( 'Text Color', 'schematic' ),
		'section'         => 'typography_section_headings',
		'choices'         => array(
			'alpha' => true,
		),
		'output'          => apply_filters(
			'csco_section_heading_submenu_color_text',
			array(
				array(
					'element'  => ':root .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading, [data-scheme="dark"] [data-scheme="default"] .cs-header__widgets-column .cnvs-block-section-heading',
					'property' => '--cnvs-section-heading-color',
					'context'  => array( 'front' ),
				),
			)
		),
		'active_callback' => array(
			array(
				'setting'  => 'section_heading_submenu_default',
				'operator' => '!=',
				'value'    => true,
			),
		),
	)
);

CSCO_Customizer::add_section(
	'typography_navigation',
	array(
		'title' => esc_html__( 'Navigation', 'schematic' ),
		'panel' => 'typography',
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'typography',
		'settings'    => 'font_menu',
		'label'       => esc_html__( 'Menu Font', 'schematic' ),
		'description' => esc_html__( 'Used for main top level menu elements.', 'schematic' ),
		'section'     => 'typography_navigation',
		'default'     => array(
			'font-family'    => 'Syne',
			'letter-spacing' => '0.025em',
			'variant'        => '700',
			'font-size'      => '0.75rem',
			'text-transform' => 'uppercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => array(
			'variant' => array(
				'regular',
				'italic',
				'600',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'typography',
		'settings'    => 'font_submenu',
		'label'       => esc_html__( 'Submenu Font', 'schematic' ),
		'description' => esc_html__( 'Used for submenu elements.', 'schematic' ),
		'section'     => 'typography_navigation',
		'default'     => array(
			'font-family'    => 'Poppins',
			'variant'        => '600',
			'font-size'      => '0.6875rem',
			'letter-spacing' => '0.008em',
			'text-transform' => 'uppercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => array(
			'variant' => array(
				'regular',
				'italic',
				'600',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'        => 'typography',
		'settings'    => 'font_fullscreen_menu',
		'label'       => esc_html__( 'Fullscreen Menu Font', 'schematic' ),
		'description' => esc_html__( 'Used for Fullscreen top level menu elements.', 'schematic' ),
		'section'     => 'typography_navigation',
		'default'     => array(
			'font-family'    => 'Syne',
			'font-size'      => '2.75rem',
			'variant'        => '500',
			'line-height'    => '1',
			'letter-spacing' => '-0.05em',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'     => array(
			'variant' => array(
				'regular',
				'500',
				'700',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'            => 'typography',
		'settings'        => 'font_footer_menu_headings',
		'label'           => esc_html__( 'Footer Menu Headings Font', 'schematic' ),
		'section'         => 'typography_navigation',
		'default'         => array(
			'font-family'    => 'Syne',
			'font-size'      => '1.25rem',
			'variant'        => '500',
			'line-height'    => '1',
			'letter-spacing' => '-0.025em',
			'text-transform' => 'none',
			'subsets'        => array( 'latin' ),
		),
		'choices'         => array(
			'variant' => array(
				'regular',
				'500',
				'700',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'footer_layout',
				'operator' => '==',
				'value'    => 'one',
			),
		),
	)
);

CSCO_Customizer::add_field(
	array(
		'type'     => 'typography',
		'settings' => 'font_footer_menu',
		'label'    => esc_html__( 'Footer Menu Font', 'schematic' ),
		'section'  => 'typography_navigation',
		'default'  => array(
			'font-family'    => 'Syne',
			'font-size'      => '0.8125rem',
			'variant'        => '600',
			'line-height'    => '1',
			'letter-spacing' => 'normal',
			'text-transform' => 'uppercase',
			'subsets'        => array( 'latin' ),
		),
		'choices'  => array(
			'variant' => array(
				'regular',
				'italic',
				'600',
				'700',
			),
		),
	)
);
