<?php
/**
 * Theme sections.
 *
 * @package Schematic
 */

/**
 * Register section categories.
 */
function csco_canvas_section_categories() {
	return array(
		'posts'        => esc_html__( 'Posts Section', 'schematic' ),
		'subscription' => esc_html__( 'Subscription', 'schematic' ),
	);
}
add_filter( 'canvas_register_layouts_categories', 'csco_canvas_section_categories' );

/**
 * Register section categories.
 */
function csco_canvas_sections() {
	return array(
		array(
			'title'     => esc_html__( 'Section 1', 'schematic' ),
			'json'      => get_template_directory() . '/inc/sections/section-1.json',
			'thumbnail' => get_template_directory_uri() . '/inc/sections/section-1.jpg',
			'category'  => array( 'posts' ),
		),
		array(
			'title'     => esc_html__( 'Section 2', 'schematic' ),
			'json'      => get_template_directory() . '/inc/sections/section-2.json',
			'thumbnail' => get_template_directory_uri() . '/inc/sections/section-2.jpg',
			'category'  => array( 'posts' ),
		),
		array(
			'title'     => esc_html__( 'Section 3', 'schematic' ),
			'json'      => get_template_directory() . '/inc/sections/section-3.json',
			'thumbnail' => get_template_directory_uri() . '/inc/sections/section-3.jpg',
			'category'  => array( 'posts' ),
		),
		array(
			'title'     => esc_html__( 'Section 4', 'schematic' ),
			'json'      => get_template_directory() . '/inc/sections/section-4.json',
			'thumbnail' => get_template_directory_uri() . '/inc/sections/section-4.jpg',
			'category'  => array( 'posts' ),
		),
		array(
			'title'     => esc_html__( 'Section 5', 'schematic' ),
			'json'      => get_template_directory() . '/inc/sections/section-5.json',
			'thumbnail' => get_template_directory_uri() . '/inc/sections/section-5.jpg',
			'category'  => array( 'posts' ),
		),
		array(
			'title'     => esc_html__( 'Section 6', 'schematic' ),
			'json'      => get_template_directory() . '/inc/sections/section-6.json',
			'thumbnail' => get_template_directory_uri() . '/inc/sections/section-6.jpg',
			'category'  => array( 'posts' ),
		),
		array(
			'title'     => esc_html__( 'Section 7', 'schematic' ),
			'json'      => get_template_directory() . '/inc/sections/section-7.json',
			'thumbnail' => get_template_directory_uri() . '/inc/sections/section-7.jpg',
			'category'  => array( 'subscription' ),
		),
	);
}
add_filter( 'canvas_register_layouts', 'csco_canvas_sections' );
