<?php
/**
 * Typography
 *
 * @package Schematic
 */

?>

:root {
	/* Base Font */
	--cs-font-base-family: '<?php csco_typography( 'font_base', 'font-family', 'Poppins' ); ?>', sans-serif;
	--cs-font-base-size: <?php csco_typography( 'font_base', 'font-size', '1rem' ); ?>;
	--cs-font-base-weight: <?php csco_typography( 'font_base', 'font-weight', '400' ); ?>;
	--cs-font-base-style: <?php csco_typography( 'font_base', 'font-style', 'normal' ); ?>;
	--cs-font-base-letter-spacing: <?php csco_typography( 'font_base', 'letter-spacing', 'normal' ); ?>;
	--cs-font-base-text-transform: <?php csco_typography( 'font_base', 'text-transform', 'initial' ); ?>;
	--cs-font-base-line-height: <?php csco_typography( 'font_base', 'line-height', '1.5' ); ?>;

	/* Primary Font */
	/* Used for tags and other actionable elements. */
	--cs-font-primary-family: '<?php csco_typography( 'font_primary', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-primary-size: <?php csco_typography( 'font_primary', 'font-size', '0.75rem' ); ?>;
	--cs-font-primary-weight: <?php csco_typography( 'font_primary', 'font-weight', '600' ); ?>;
	--cs-font-primary-style: <?php csco_typography( 'font_primary', 'font-style', 'normal' ); ?>;
	--cs-font-primary-letter-spacing: <?php csco_typography( 'font_primary', 'letter-spacing', '0.008em' ); ?>;
	--cs-font-primary-text-transform: <?php csco_typography( 'font_primary', 'text-transform', 'uppercase' ); ?>;

	/* Secondary Font */
	/* Used for post meta, image captions and other secondary elements. */
	--cs-font-secondary-family: '<?php csco_typography( 'font_secondary', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-secondary-size: <?php csco_typography( 'font_secondary', 'font-size', '0.75rem' ); ?>;
	--cs-font-secondary-weight: <?php csco_typography( 'font_secondary', 'font-weight', '400' ); ?>;
	--cs-font-secondary-style: <?php csco_typography( 'font_secondary', 'font-style', 'normal' ); ?>;
	--cs-font-secondary-letter-spacing: <?php csco_typography( 'font_secondary', 'letter-spacing', '0px' ); ?>;
	--cs-font-secondary-text-transform: <?php csco_typography( 'font_secondary', 'text-transform', 'none' ); ?>;

	/* Category Font */
	--cs-font-category-family: '<?php csco_typography( 'font_category', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-category-size: <?php csco_typography( 'font_category', 'font-size', '0.6875rem' ); ?>;
	--cs-font-category-weight: <?php csco_typography( 'font_category', 'font-weight', '700' ); ?>;
	--cs-font-category-style: <?php csco_typography( 'font_category', 'font-style', 'normal' ); ?>;
	--cs-font-category-letter-spacing: <?php csco_typography( 'font_category', 'letter-spacing', '0.0625em' ); ?>;
	--cs-font-category-text-transform: <?php csco_typography( 'font_category', 'text-transform', 'uppercase' ); ?>;

	/* Tags Font */
	--cs-font-tags-family: '<?php csco_typography( 'font_tag', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-tags-size: <?php csco_typography( 'font_tag', 'font-size', '0.75rem' ); ?>;
	--cs-font-tags-weight: <?php csco_typography( 'font_tag', 'font-weight', '600' ); ?>;
	--cs-font-tags-style: <?php csco_typography( 'font_tag', 'font-style', 'normal' ); ?>;
	--cs-font-tags-letter-spacing: <?php csco_typography( 'font_tag', 'letter-spacing', '0.0625em' ); ?>;
	--cs-font-tags-text-transform: <?php csco_typography( 'font_tag', 'text-transform', 'uppercase' ); ?>;

	/* Post Meta Font */
	--cs-font-post-meta-family: '<?php csco_typography( 'font_post_meta', 'font-family', 'Poppins' ); ?>', sans-serif;
	--cs-font-post-meta-size: <?php csco_typography( 'font_post_meta', 'font-size', '0.6875rem' ); ?>;
	--cs-font-post-meta-weight: <?php csco_typography( 'font_post_meta', 'font-weight', '500' ); ?>;
	--cs-font-post-meta-style: <?php csco_typography( 'font_post_meta', 'font-style', 'normal' ); ?>;
	--cs-font-post-meta-letter-spacing: <?php csco_typography( 'font_post_meta', 'letter-spacing', '0.0625em' ); ?>;
	--cs-font-post-meta-text-transform: <?php csco_typography( 'font_post_meta', 'text-transform', 'uppercase' ); ?>;

	/* Button Font */
	--cs-font-button-family: '<?php csco_typography( 'font_button', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-button-size: <?php csco_typography( 'font_button', 'font-size', '1.25rem' ); ?>;
	--cs-font-button-weight: <?php csco_typography( 'font_button', 'font-weight', '500' ); ?>;
	--cs-font-button-style: <?php csco_typography( 'font_button', 'font-style', 'normal' ); ?>;
	--cs-font-button-letter-spacing: <?php csco_typography( 'font_button', 'letter-spacing', '-0.019em' ); ?>;
	--cs-font-button-text-transform: <?php csco_typography( 'font_button', 'text-transform', 'lowercase' ); ?>;

	/* Label */
	--cs-font-label-family: initial;
	--cs-font-label-size: 0.75rem;
	--cs-font-label-weight: 600;
	--cs-font-label-style: normal;
	--cs-font-label-letter-spacing: -0.025em;
	--cs-font-label-text-transform: uppercase;

	/* Input Font */
	/* Used for form elements (input, textarea, select). */
	--cs-font-input-family: '<?php csco_typography( 'font_input', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-input-size: <?php csco_typography( 'font_input', 'font-size', '1.25rem' ); ?>;
	--cs-font-input-weight: <?php csco_typography( 'font_input', 'font-weight', '500' ); ?>;
	--cs-font-input-style: <?php csco_typography( 'font_input', 'font-style', 'normal' ); ?>;
	--cs-font-input-line-height: <?php csco_typography( 'font_input', 'line-height', '1.625rem' ); ?>;
	--cs-font-input-letter-spacing: <?php csco_typography( 'font_input', 'letter-spacing', '-0.019em' ); ?>;
	--cs-font-input-text-transform: <?php csco_typography( 'font_input', 'text-transform', 'none' ); ?>;

	/* Post Subtitle */
	--cs-font-post-subtitle-family: '<?php csco_typography( 'font_post_subtitle', 'font-family', 'Poppins' ); ?>', sans-serif;
	--cs-font-post-subtitle-size: <?php csco_typography( 'font_post_subtitle', 'font-size', '1.125rem' ); ?>;
	--cs-font-post-subtitle-line-height: <?php csco_typography( 'font_input', 'line-height', '1.7' ); ?>;
	--cs-font-post-subtitle-letter-spacing: <?php csco_typography( 'font_post_subtitle', 'letter-spacing', 'normal' ); ?>;

	/* Post Content */
	--cs-font-post-content-family: '<?php csco_typography( 'font_post_content', 'font-family', 'Poppins' ); ?>', sans-serif;
	--cs-font-post-content-size: <?php csco_typography( 'font_post_content', 'font-size', '1rem' ); ?>;
	--cs-font-post-content-line-height: <?php csco_typography( 'font_post_content', 'line-height', '1.7' ); ?>;
	--cs-font-post-content-letter-spacing: <?php csco_typography( 'font_post_content', 'letter-spacing', '-0.014em' ); ?>;

	/* Summary */
	--cs-font-entry-summary-family: '<?php csco_typography( 'font_summary', 'font-family', 'Poppins' ); ?>', sans-serif;
	--cs-font-entry-summary-size: <?php csco_typography( 'font_summary', 'font-size', '1.25rem' ); ?>;
	--cs-font-entry-summary-letter-spacing: <?php csco_typography( 'font_summary', 'letter-spacing', 'normal' ); ?>;

	/* Entry Excerpt */
	--cs-font-entry-excerpt-family: '<?php csco_typography( 'font_excerpt', 'font-family', 'Poppins' ); ?>', sans-serif;
	--cs-font-entry-excerpt-size: <?php csco_typography( 'font_excerpt', 'font-size', '0.875rem' ); ?>;
	--cs-font-entry-excerpt-letter-spacing: <?php csco_typography( 'font_excerpt', 'letter-spacing', '-0.008em' ); ?>;

	/* Logos --------------- */

	/* Main Logo */
	--cs-font-main-logo-family: '<?php csco_typography( 'font_main_logo', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-main-logo-size: <?php csco_typography( 'font_main_logo', 'font-size', '1.25rem' ); ?>;
	--cs-font-main-logo-weight: <?php csco_typography( 'font_main_logo', 'font-weight', '600' ); ?>;
	--cs-font-main-logo-style: <?php csco_typography( 'font_main_logo', 'font-style', 'normal' ); ?>;
	--cs-font-main-logo-letter-spacing: <?php csco_typography( 'font_main_logo', 'letter-spacing', '-0.025em' ); ?>;
	--cs-font-main-logo-text-transform: <?php csco_typography( 'font_main_logo', 'text-transform', 'none' ); ?>;

	/* Footer Logo */
	--cs-font-footer-logo-family: '<?php csco_typography( 'font_footer_logo', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-footer-logo-size: <?php csco_typography( 'font_footer_logo', 'font-size', '1.25rem' ); ?>;
	--cs-font-footer-logo-weight: <?php csco_typography( 'font_footer_logo', 'font-weight', '600' ); ?>;
	--cs-font-footer-logo-style: <?php csco_typography( 'font_footer_logo', 'font-style', 'normal' ); ?>;
	--cs-font-footer-logo-letter-spacing: <?php csco_typography( 'font_footer_logo', 'letter-spacing', '-0.025em' ); ?>;
	--cs-font-footer-logo-text-transform: <?php csco_typography( 'font_footer_logo', 'text-transform', 'none' ); ?>;

	/* Tag-line Font */
	/* Used for tag-line elements. */
	--cs-font-tag-line-family: '<?php csco_typography( 'font_tagline', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-tag-line-size: <?php csco_typography( 'font_tagline', 'font-size', '0.875rem' ); ?>;;
	--cs-font-tag-line-weight: <?php csco_typography( 'font_tagline', 'font-weight', '700' ); ?>;
	--cs-font-tag-line-line-height: <?php csco_typography( 'font_tagline', 'line-height', '1.5' ); ?>;
	--cs-font-tag-line-style: <?php csco_typography( 'font_tagline', 'font-style', 'normal' ); ?>;
	--cs-font-tag-line-letter-spacing: <?php csco_typography( 'font_tagline', 'letter-spacing', 'normal' ); ?>;
	--cs-font-tag-line-text-transform: <?php csco_typography( 'font_tagline', 'text-transform', 'none' ); ?>;

	/* Headings --------------- */

	/* Headings */
	--cs-font-headings-family: '<?php csco_typography( 'font_headings', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-headings-weight: <?php csco_typography( 'font_headings', 'font-weight', '500' ); ?>;
	--cs-font-headings-style: <?php csco_typography( 'font_headings', 'font-style', 'normal' ); ?>;
	--cs-font-headings-line-height: <?php csco_typography( 'font_headings', 'line-height', '1.2' ); ?>;
	--cs-font-headings-letter-spacing: <?php csco_typography( 'font_headings', 'letter-spacing', '-0.05em' ); ?>;
	--cs-font-headings-text-transform: <?php csco_typography( 'font_headings', 'text-transform', 'none' ); ?>;

	/* Menu Font --------------- */

	/* Menu */
	/* Used for main top level menu elements. */
	--cs-font-primary-menu-family: '<?php csco_typography( 'font_menu', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-primary-menu-size: <?php csco_typography( 'font_menu', 'font-size', '0.75rem' ); ?>;
	--cs-font-primary-menu-weight: <?php csco_typography( 'font_menu', 'font-weight', '700' ); ?>;
	--cs-font-primary-menu-style: <?php csco_typography( 'font_menu', 'font-style', 'normal' ); ?>;
	--cs-font-primary-menu-letter-spacing: <?php csco_typography( 'font_menu', 'letter-spacing', '0.025em' ); ?>;
	--cs-font-primary-menu-text-transform: <?php csco_typography( 'font_menu', 'text-transform', 'uppercase' ); ?>;

	/* Submenu Font */
	--cs-font-primary-submenu-family: '<?php csco_typography( 'font_submenu', 'font-family', 'Poppins' ); ?>', sans-serif;
	--cs-font-primary-submenu-size: <?php csco_typography( 'font_submenu', 'font-size', '0.6875rem' ); ?>;
	--cs-font-primary-submenu-weight: <?php csco_typography( 'font_submenu', 'font-weight', '600' ); ?>;
	--cs-font-primary-submenu-style: <?php csco_typography( 'font_submenu', 'font-style', 'normal' ); ?>;
	--cs-font-primary-submenu-letter-spacing: <?php csco_typography( 'font_submenu', 'letter-spacing', '0.008em' ); ?>;
	--cs-font-primary-submenu-text-transform: <?php csco_typography( 'font_submenu', 'text-transform', 'uppercase' ); ?>;

	/* Used for main top level fullscreen-menu elements. */
	--cs-font-fullscreen-menu-family: '<?php csco_typography( 'font_fullscreen_menu', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-fullscreen-menu-size: <?php csco_typography( 'font_fullscreen_menu', 'font-size', '2.75rem' ); ?>;
	--cs-font-fullscreen-menu-weight: <?php csco_typography( 'font_fullscreen_menu', 'font-weight', '500' ); ?>;
	--cs-font-fullscreen-menu-line-height: <?php csco_typography( 'font_fullscreen_menu', 'line-height', '1' ); ?>;
	--cs-font-fullscreen-menu-style: <?php csco_typography( 'font_fullscreen_menu', 'font-style', 'normal' ); ?>;
	--cs-font-fullscreen-menu-letter-spacing: <?php csco_typography( 'font_fullscreen_menu', 'letter-spacing', '-0.05em' ); ?>;
	--cs-font-fullscreen-menu-text-transform: <?php csco_typography( 'font_fullscreen_menu', 'text-transform', 'none' ); ?>;

	/* Submenu Font */
	/* Used for fullscreen-submenu elements. */
	--cs-font-fullscreen-submenu-family: '<?php csco_typography( 'font_fullscreen_submenu', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-fullscreen-submenu-size: <?php csco_typography( 'font_fullscreen_submenu', 'font-size', '0.8125rem' ); ?>;
	--cs-font-fullscreen-submenu-weight: <?php csco_typography( 'font_fullscreen_submenu', 'font-weight', '600' ); ?>;
	--cs-font-fullscreen-submenu-line-height: <?php csco_typography( 'font_fullscreen_submenu', 'line-height', '1' ); ?>;
	--cs-font-fullscreen-submenu-style: <?php csco_typography( 'font_fullscreen_submenu', 'font-style', 'normal' ); ?>;
	--cs-font-fullscreen-submenu-letter-spacing: <?php csco_typography( 'font_fullscreen_submenu', 'letter-spacing', 'normal' ); ?>;
	--cs-font-fullscreen-submenu-text-transform: <?php csco_typography( 'font_fullscreen_submenu', 'text-transform', 'uppercase' ); ?>;

	/* Footer Menu Headings Font */
	--cs-font-footer-menu-headings-family: '<?php csco_typography( 'font_footer_menu_headings', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-footer-menu-headings-size: <?php csco_typography( 'font_footer_menu_headings', 'font-size', '1.25rem' ); ?>;;
	--cs-font-footer-menu-headings-weight: <?php csco_typography( 'font_footer_menu_headings', 'font-weight', '500' ); ?>;
	--cs-font-footer-menu-headings-line-height: <?php csco_typography( 'font_footer_menu_headings', 'line-height', '1' ); ?>;
	--cs-font-footer-menu-headings-style:<?php csco_typography( 'font_footer_menu_headings', 'font-style', 'normal' ); ?>;
	--cs-font-footer-menu-headings-letter-spacing: <?php csco_typography( 'font_footer_menu_headings', 'letter-spacing', '-0.025em' ); ?>;
	--cs-font-footer-menu-headings-text-transform:  <?php csco_typography( 'font_footer_menu_headings', 'text-transform', 'none' ); ?>;

	/* Footer Menu Font*/
	--cs-font-footer-menu-family: '<?php csco_typography( 'font_footer_menu', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-footer-menu-size: <?php csco_typography( 'font_footer_menu', 'font-size', '0.8125rem' ); ?>;
	--cs-font-footer-menu-weight: <?php csco_typography( 'font_footer_menu', 'font-weight', '600' ); ?>;
	--cs-font-footer-menu-line-height: <?php csco_typography( 'font_footer_menu', 'line-height', '1' ); ?>;
	--cs-font-footer-menu-style: <?php csco_typography( 'font_footer_menu', 'font-style', 'normal' ); ?>;
	--cs-font-footer-menu-letter-spacing: <?php csco_typography( 'font_footer_menu', 'letter-spacing', 'normal' ); ?>;
	--cs-font-footer-menu-text-transform: <?php csco_typography( 'font_footer_menu', 'text-transform', 'uppercase' ); ?>;

	/* Section Headings */
	--cs-font-section-headings-family: '<?php csco_typography( 'section_heading_font', 'font-family', 'Syne' ); ?>', sans-serif;
	--cs-font-section-headings-size: <?php csco_typography( 'section_heading_font', 'font-size', '0.75rem' ); ?>;
	--cs-font-section-headings-weight: <?php csco_typography( 'section_heading_font', 'font-weight', '700' ); ?>;
	--cs-font-section-headings-line-height: <?php csco_typography( 'section_heading_font', 'line-height', '1.15' ); ?>;
	--cs-font-section-headings-style: <?php csco_typography( 'section_heading_font', 'font-style', 'normal' ); ?>;
	--cs-font-section-headings-letter-spacing: <?php csco_typography( 'section_heading_font', 'letter-spacing', '0.0025em' ); ?>;
	--cs-font-section-headings-text-transform: <?php csco_typography( 'section_heading_font', 'text-transform', 'uppercase' ); ?>;
}

<?php if ( ! get_theme_mod( 'section_heading_submenu_default', true ) ) { ?>
	.cs-header .cs-widget-area {
		--cs-font-section-headings-family: <?php csco_typography( 'section_heading_submenu_font', 'font-family', 'Syne' ); ?>', sans-serif;
		--cs-font-section-headings-size: <?php csco_typography( 'section_heading_submenu_font', 'font-size', '0.75rem' ); ?>;
		--cs-font-section-headings-weight: <?php csco_typography( 'section_heading_submenu_font', 'font-weight', '700' ); ?>;
		--cs-font-section-headings-line-height: <?php csco_typography( 'section_heading_submenu_font', 'line-height', '1.15' ); ?>;
		--cs-font-section-headings-style: <?php csco_typography( 'section_heading_submenu_font', 'font-style', 'normal' ); ?>;
		--cs-font-section-headings-letter-spacing: <?php csco_typography( 'section_heading_submenu_font', 'letter-spacing', '0.0025em' ); ?>;
		--cs-font-section-headings-text-transform: <?php csco_typography( 'section_heading_submenu_font', 'text-transform', 'uppercase' ); ?>;
	}
<?php } ?>
