<?php
/**
 * Widgets Init
 *
 * Register sitebar locations for widgets.
 *
 * @package Schematic
 */

if ( ! function_exists( 'csco_widgets_init' ) ) {
	/**
	 * Register sidebars
	 */
	function csco_widgets_init() {

		register_sidebar(
			array(
				'name'          => esc_html__( 'Default Sidebar', 'schematic' ),
				'id'            => 'sidebar-main',
				'before_widget' => '<div class="widget %1$s %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => csco_section_heading( null, 'before', false, null ),
				'after_title'   => csco_section_heading( null, 'after', false, null ),
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Off-canvas', 'schematic' ),
				'id'            => 'sidebar-offcanvas',
				'before_widget' => '<div class="widget %1$s %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => csco_section_heading( null, 'before', false, null ),
				'after_title'   => csco_section_heading( null, 'after', false, null ),
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Auto Loaded Sidebar', 'schematic' ),
				'id'            => 'sidebar-loaded',
				'before_widget' => '<div class="widget %1$s %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => csco_section_heading( null, 'before', false, null ),
				'after_title'   => csco_section_heading( null, 'after', false, null ),
			)
		);

		register_sidebar(
			array(
				'name'          => esc_html__( 'Fullscreen Menu Widgets', 'schematic' ),
				'id'            => 'sidebar-fullscreen',
				'before_widget' => '<div class="widget %1$s %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => csco_section_heading( null, 'before', false, null ),
				'after_title'   => csco_section_heading( null, 'after', false, null ),
			)
		);
	}
	add_action( 'widgets_init', 'csco_widgets_init' );
}
