<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Schematic
 */

$options = get_query_var( 'options' );

// Set post style.
$style = csco_get_custom_appearance();

if ( 'compact' === $style ) {
	$options['featured_image'] = false;

	$post_meta[] = 'author';
}

$custom_class = 'cs-entry-appearance-' . $style;
?>

<article <?php post_class( $custom_class ); ?>>

	<div class="cs-entry__outer">
		<div class="cs-entry__inner cs-entry__inner-left">
			<div class="cs-entry__post-meta">
				<?php csco_get_post_meta( array( 'category', 'comments', 'reading_time', 'views', 'shares' ), $options['compact_meta'], true, $options['meta'] ); ?>
			</div>
			<?php
			if ( 'compact' !== $style ) {
				csco_entry_meta_author( $options['meta'] );
			}
			?>
		</div>
		<div class="cs-entry__inner cs-entry__content">
			<?php the_title( '<h2 class="cs-entry__title"><a href="' . esc_url( get_permalink() ) . '"><span>', '</span></a></h2>' ); ?>

			<?php
			$post_excerpt = get_the_excerpt();
			if ( $options['excerpt'] && $post_excerpt ) {
				?>
				<div class="cs-entry__excerpt">
					<?php echo wp_kses_post( $post_excerpt ); ?>
				</div>
				<?php
			}
			?>
		</div>
		<div class="cs-entry__inner cs-entry__inner-right">
			<?php csco_get_post_meta( array( 'date' ), $options['compact_meta'], true, $options['meta'] ); ?>

			<?php csco_entry_post_gallery(); ?>
		</div>
	</div>
</article>
