<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Schematic
 */

$options = get_query_var( 'options' );
?>

<article <?php post_class(); ?>>
	<div class="cs-entry__outer">
		<?php
		if ( has_post_thumbnail() ) {
			?>
			<div class="cs-entry__inner cs-entry__thumbnail cs-entry__overlay cs-overlay-ratio cs-ratio-<?php echo esc_attr( $options['image_orientation'] ); ?>" data-scheme="inverse">

				<div class="cs-overlay-background cs-overlay-transparent">
					<?php the_post_thumbnail( $options['image_size'] ); ?>
				</div>

				<?php csco_get_video_background( 'archive' ); ?>

				<?php csco_the_post_format_icon(); ?>

				<a href="<?php echo esc_url( get_permalink() ); ?>" class="cs-overlay-link"></a>
			</div>
		<?php } ?>

		<div class="cs-entry__inner cs-entry__content">

			<?php csco_get_post_meta( array( 'category', 'date', 'comments', 'reading_time', 'views', 'shares' ), $options['compact_meta'], true, $options['meta'] ); ?>

			<?php the_title( '<h2 class="cs-entry__title"><a href="' . esc_url( get_permalink() ) . '"><span>', '</span></a></h2>' ); ?>

			<?php
			$post_excerpt = get_the_excerpt();
			if ( $options['excerpt'] && $post_excerpt ) {
				?>
				<div class="cs-entry__excerpt">
					<?php echo wp_kses_post( $post_excerpt ); ?>
				</div>
				<?php
			}
			?>

			<?php csco_entry_meta_author( $options['meta'] ); ?>
		</div>
	</div>
</article>
