<?php
/**
 * Block Horizontal Type 3
 *
 * @var        $attributes - block attributes
 * @var        $options - layout options
 * @var        $posts - all available posts
 *
 * @package Schematic
 */

// Set post style.
$style = 'default';

if ( $options['custom_appearance'] ) {
	$style = csco_get_custom_appearance();
}

$post_meta = array( 'category', 'comments', 'reading_time', 'views', 'shares' );

if ( 'compact' === $style ) {
	$options['featured_image'] = false;

	$post_meta[] = 'author';
}

$custom_class = 'cs-entry-appearance-' . $style;
?>

<article <?php post_class( $custom_class ); ?>>
	<div class="cs-entry__outer">
		<div class="cs-entry__inner cs-entry__inner-left">
			<div class="cs-entry__post-meta">
				<?php cnvs_block_post_meta( $options, $post_meta ); ?>
			</div>
			<?php
			if ( 'compact' !== $style ) {
				cnvs_block_post_author( $options );
			}
			?>
		</div>
		<div class="cs-entry__inner cs-entry__content">
			<?php cnvs_block_post_title( $options ); ?>

			<?php cnvs_block_post_excerpt( $options ); ?>
		</div>
		<div class="cs-entry__inner cs-entry__inner-right">
			<?php cnvs_block_post_meta( $options, array( 'date' ) ); ?>

			<?php cnvs_block_post_gallery( $options ); ?>
		</div>
	</div>
</article>
