<?php
/**
 * Block Tile Type 1
 *
 * @var        $attributes - block attributes
 * @var        $options - layout options
 * @var        $posts - all available posts
 *
 * @package Schematic
 */

$options['withoutLink'] = true;

?>

<article <?php post_class(); ?>>
	<div class="cs-entry__outer cs-entry__overlay cs-overlay-ratio cs-ratio-<?php echo esc_attr( $options['image_orientation'] ); ?>" data-scheme="inverse">

		<div class="cs-entry__inner cs-entry__thumbnail">
			<?php
			if ( has_post_thumbnail() ) {
				cnvs_block_post_overlay_thumbnail( $options, $attributes );
			}
			?>
		</div>

		<div class="cs-entry__inner cs-overlay-content cs-entry__content">
			<?php cnvs_block_post_meta( $options, array( 'category', 'date', 'comments', 'reading_time', 'views', 'shares' ) ); ?>

			<div class="cs-entry__content-inner">
				<?php cnvs_block_post_title( $options ); ?>

				<?php cnvs_block_post_author( $options ); ?>
			</div>
		</div>

		<a href="<?php echo esc_url( get_permalink() ); ?>" class="cs-overlay-link"></a>
	</div>
</article>
