<?php
/**
 * Template part entry header full.
 *
 * @package Schematic
 */

$header_type    = csco_get_page_header_type();
$thumbnail_size = 'csco-extra-large';

?>

<div class="cs-entry__header cs-entry__header-<?php echo esc_attr( $header_type ); ?>">
	<div class="cs-entry__header-inner">
		<div class="cs-ratio-wide cs-entry__header-wrap cs-video-wrap" data-scheme="inverse">
			<figure class="cs-entry__post-media cs-entry__overlay-bg cs-overlay-background">
				<?php the_post_thumbnail( $thumbnail_size ); ?>

				<?php csco_get_video_background( 'large-header', null, 'default', true, true ); ?>
			</figure>
			<div class="cs-container">
				<?php csco_breadcrumbs(); ?>

				<div class="cs-entry__header-info">
					<div class="cs-entry__header-info-item">
						<?php csco_entry_post_meta(); ?>

						<?php the_title( '<h1 class="cs-entry__title"><span>', '</span></h1>' ); ?>

						<?php csco_post_subtitle(); ?>

						<div class="cs-entry__post-meta-wrapper">
							<?php csco_entry_meta_author(); ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		<span class="cs-main-content-overlay"></span>
	</div>
</div>
