<?php
/**
 * Template part entry header
 *
 * @package Schematic
 */

$header_type = csco_get_page_header_type();

$thumbnail_size = 'csco-medium';

if ( 'uncropped' === csco_get_page_preview() || ( 'standard' === $header_type ) ) {
	$thumbnail_size = sprintf( '%s-uncropped', $thumbnail_size );
}

if ( 'large' === $header_type ) {
	$thumbnail_size = 'csco-large';
}

?>

<div class="cs-entry__header cs-entry__header-<?php echo esc_attr( $header_type ); ?>">
	<div class="cs-entry__header-inner">
		<div class="cs-entry__header-info">
			<?php
			if ( is_singular( 'post' ) && ( 'standard' === $header_type || 'large' === $header_type ) ) {
				csco_entry_post_meta();
			}
			?>

			<?php the_title( '<h1 class="cs-entry__title"><span>', '</span></h1>' ); ?>

			<?php
			if ( is_singular( 'post' ) && ( 'standard' === $header_type || 'large' === $header_type ) ) {
				csco_entry_meta_author();
			}
			?>

			<?php
			if ( is_singular( 'post' ) && ( 'standard' === $header_type || 'large' === $header_type ) ) {
				csco_post_subtitle();
			}
			?>
		</div>
		<?php if ( has_post_thumbnail() && ( 'standard' === $header_type || 'large' === $header_type ) ) { ?>
			<figure class="cs-entry__post-media post-media">
				<?php the_post_thumbnail( $thumbnail_size ); ?>
			</figure>
			<?php if ( get_the_post_thumbnail_caption() ) { ?>
				<figcaption class="cs-entry__caption-text wp-caption-text"><?php the_post_thumbnail_caption(); ?></figcaption>
			<?php } ?>
		<?php } ?>
	</div>
</div>
