<?php
/**
 * Search results template for SearchWP Live Ajax Search
 *
 * @package Schematic
 */

?>

<?php if ( have_posts() ) : ?>
	<div class="cs-search-live-heading">
		<?php csco_section_heading( esc_html__( 'Live Search', 'schematic' ) ); ?>
		<?php csco_live_search_post_count(); ?>
	</div>
	<div class="cs-posts-area">
		<div class="cs-posts-area__main cnvs-block-posts-layout-horizontal-type-3 cs-block-posts-layout-horizontal-type-3 cs-display-borders-between-posts">
		<?php

		while ( have_posts() ) :
			the_post();
			?>
			<article <?php post_class(); ?>>
				<div class="cs-entry__outer">
					<?php if ( 'post' === $post_type ) { ?>
						<div class="cs-entry__inner cs-entry__inner-left">
							<?php csco_get_post_meta( array( 'category', 'reading_time', 'views' ), false, true, 'archive_post_meta' ); ?>
						</div>
					<?php } ?>
					<div class="cs-entry__inner cs-entry__content">
						<?php the_title( '<h2 class="cs-entry__title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h4>' ); ?>
					</div>
					<div class="cs-entry__inner cs-entry__inner-right">
						<?php
						if ( 'post' === $post_type ) {
							csco_get_post_meta( array( 'date' ), false, true, 'archive_post_meta' );
						}
						?>
						<?php if ( has_post_thumbnail() ) { ?>
							<div class="cs-entry__gallery">
								<div class="cs-entry__thumbnail cs-entry__overlay" data-scheme="inverse">
									<div class="cs-overlay-background cs-overlay-transparent">
										<?php the_post_thumbnail( 'csco-thumbnail' ); ?>
									</div>
									<a href="<?php echo esc_url( get_permalink() ); ?>" class="cs-overlay-link"></a>
								</div>
							</div>
						<?php } ?>
					</div>
				</div>
			</article>
		<?php endwhile; ?>
		</div>
	</div>
<?php else : ?>
	<p class="searchwp-live-search-no-results" role="option">
		<em><?php echo esc_html__( 'No results found.', 'schematic' ); ?></em>
	</p>
	<?php
endif;
