<?php
/**
 * The template part for displaying site section.
 *
 * @package Schematic
 */

$scheme = csco_color_scheme(
	get_theme_mod( 'color_header_elements_background', '#f8f8f8' ),
	get_theme_mod( 'color_header_elements_background_dark', '#292929' )
);

$search_type = get_theme_mod( 'header_search_type', 'one' );

$swplive = 'true';

if ( 'three' === $search_type ) {
	$swplive = 'false';
}
?>

<div class="cs-search" <?php echo wp_kses( $scheme, 'csco' ); ?>>
	<div class="cs-container">

		<?php if ( 'three' === $search_type ) { ?>
			<div class="cs-search__close">
				<div class="cs-search__close-inner" role="button">
					<span class="cs-search__close-label"><?php esc_html_e( 'Close', 'schematic' ); ?></span>
					<span class="cs-search__close-icon cs-icon cs-icon-x"></span>
				</div>
			</div>
		<?php } ?>

		<div class="cs-search__wrapper">
			<form role="search" method="get" class="cs-search__nav-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
				<div class="cs-search__group">
					<input class="cs-search__input" type="search" data-swplive="<?php echo esc_attr( $swplive ); ?>" data-swpparentel=".cs-header .cs-search-live-result" required value="<?php the_search_query(); ?>" name="s" placeholder="<?php echo esc_attr( esc_html__( 'What are you looking for?', 'schematic' ) ); ?>">
					<button class="cs-search__submit"><?php esc_html_e( 'Search', 'schematic' ); ?></button>
				</div>
				<div class="cs-search-live-result"></div>
			</form>
		</div>

		<?php
		if ( 'one' === $search_type ) {
			csco_header_tags();

			csco_header_search_posts();
		}
		?>
	</div>
</div>
